Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2
Interface RepositoryServiceContext

All Known Implementing Classes:
  ManagementService

    public interface RepositoryServiceContext

Version:
  $Id: RepositoryServiceContext.java 9304 2007-08-02 16:59:49Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`ResourceDescriptor` | `createResourceDescriptor(Resource resource)`
`ResourceDescriptor` | `createResourceDescriptor(Resource resource, java.util.Map options)`
`ResourceDescriptor` | `createResourceDescriptor(java.lang.String referenceURI)`
`EngineService` | `getEngine()`
`ResourceHandlerRegistry` | `getHandlerRegistry()`
`java.lang.String` | `getMessage(java.lang.String messageCode, java.lang.Object[] args)`
`org.apache.axis.attachments.AttachmentPart[]` | `getMessageAttachments()`
`RepositoryService` | `getRepository()`
`RepositoryHelper` | `getRepositoryHelper()`

Method Detail

### getRepository

    RepositoryService getRepository()

### getEngine

    EngineService getEngine()

### getHandlerRegistry

    ResourceHandlerRegistry getHandlerRegistry()

### getMessage

    java.lang.String getMessage(java.lang.String messageCode,
                                java.lang.Object[] args)

### createResourceDescriptor

    ResourceDescriptor createResourceDescriptor(java.lang.String referenceURI)
                                                throws WSException

  Throws:
    `WSException`

### createResourceDescriptor

    ResourceDescriptor createResourceDescriptor(Resource resource)
                                                throws WSException

  Throws:
    `WSException`

### createResourceDescriptor

    ResourceDescriptor createResourceDescriptor(Resource resource,
                                                java.util.Map options)
                                                throws WSException

  Throws:
    `WSException`

### getMessageAttachments

    org.apache.axis.attachments.AttachmentPart[] getMessageAttachments()

### getRepositoryHelper

    RepositoryHelper getRepositoryHelper()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.